解决启动WordPress插件提示"headers already sent"错误问题

  1. 网友热度 150 ℃ - 抢沙发
  2. 标签:,

今天老左有在安装一款WordPress插件的时候后台有提示"这个插件在启用的过程中产生了xxx个字符的异常输出。如果您遇到了“headers already sent”错误、联合feed(如RSS)出错等问题,请尝试禁用或移除本插件。"的问题,这个到底是什么问题导致的呢?

一般出现这样的问题有几个可能,我们是不是WordPress有开启错误提示,比如我们是不是有在wp-config.php页面开启:

define('WP_DEBUG', true);

如果是的话,我们可以将换成:

define('WP_DEBUG', false);

还有可能是不是我们的PHP不兼容,看看插件是不是要求兼容哪一个PHP版本。其次我们再看看是不是插件的有提示报错,问问开发者是不是报错没有关闭提示。有的时候是开发插件的时候有故意让报错的,然后可以方便解决。

本文固定链接: https://www.laozuo.org/16461.html | 老左笔记


声明:我们不销售主机,选主机需合法使用,信息以实际为准。


关注公众号『站长事儿』

获取更多站长圈的新鲜事儿!
有您,有我,还有大家!

注意:任何主机需定期备份,防止数据丢失。主机需合法使用,信息以实际为准,评测不代表权威。
该日志由 老左 于2020年07月30日发表在 WEB前端 分类下, 通告目前不可用,你可以至底部留下评论。
原创文章转载请注明: 解决启动WordPress插件提示"headers already sent"错误问题